Bug 60743 - Make cpanflute more portable
Summary: Make cpanflute more portable
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-05 20:53 UTC by Hunter Matthews
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 23:23:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpanflute portability patch (2.67 KB, patch)
2002-03-05 20:54 UTC, Hunter Matthews
no flags Details | Diff

Description Hunter Matthews 2002-03-05 20:53:04 UTC
This is a patch to make cpanflute a little more portable/useful outside of 
redhat itself.

It queries rpm for which version of perl its building against, instead of 
assuming a 6.2/7.0 timeframe perl. It also "just builds" a spec file/rpm set 
without assuming a big directory of perl modules to be built.

Its not perfect - it still gets my email wrong (thm@redhat.com) and some other 
stuff. 

It would be neat to see a version of this for python modules.

Comment 1 Hunter Matthews 2002-03-05 20:54:08 UTC
Created attachment 47480 [details]
cpanflute portability patch

Comment 2 Jeff Johnson 2002-03-09 17:30:42 UTC
cpanflute is in transition to a new CPAN module.
rpm-4.0.4 has a preliminary copy of cpanflute2,
but bot cpanflute/cpanflute2 will be taken out of
rpm for separate distribution when the time comes.

Meanwhile, off to perl to get your patch looked
at for possible inclusion.

Comment 3 Hunter Matthews 2005-04-14 23:23:20 UTC
Given a) age of bug b) ongoing pkging discussion in fedora-packaging and
fedora-extras, I'd close this bug.


Note You need to log in before you can comment on or make changes to this bug.